Bug 1130308

Summary: FreeBSD port for GlusterFS
Product: [Community] GlusterFS Reporter: Harshavardhana <fharshav>
Component: coreAssignee: bugs <bugs>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 3.6.0CC: bugs, cww, gluster-bugs, klangga
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: FreeBSD   
Whiteboard:
Fixed In Version: glusterfs-3.6.0beta1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1111774
: 1171524 (view as bug list) Environment:
Last Closed: 2014-11-11 08:37:28 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1111774    
Bug Blocks: 1171524    

Description Harshavardhana 2014-08-14 19:59:49 UTC
+++ This bug was initially created as a clone of Bug #1111774 +++

Description of problem:

Placeholder bug for all FreeBSD related porting efforts.

--- Additional comment from Anand Avati on 2014-06-21 05:25:31 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-21 05:31:18 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-21 05:39:56 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-21 17:22:46 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#5) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-21 18:37:45 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#6) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-21 19:12:29 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#7) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-21 20:01:05 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#8) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-21 20:56:32 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#9) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-22 03:15:22 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#10) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-22 04:28:16 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#11) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-23 00:48:55 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#12) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-23 16:08:27 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#13) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-23 16:22:43 EDT ---

REVIEW: http://review.gluster.org/8155 (glusterd: Use mkdir_p to create '/var/lib/glusterd') posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-23 16:23:59 EDT ---

REVIEW: http://review.gluster.org/8155 (glusterd: Use mkdir_p to create DEFAULT_WORKDIR) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-23 16:32:42 EDT ---

REVIEW: http://review.gluster.org/8155 (glusterd: Use mkdir_p to create DEFAULT_WORKDIR) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-25 02:02:25 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#14) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-25 02:37:05 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#15) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-25 02:56:06 EDT ---

COMMIT: http://review.gluster.org/8155 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 5740fd404827a70e6318b6fff5773a9d9234d704
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Mon Jun 23 13:20:07 2014 -0700

    glusterd: Use mkdir_p to create DEFAULT_WORKDIR
    
    On non-Linux platforms FSH(Filesystem Hierarchy Standard)
    is not followed 'create' the default expected directory.
    
    Change-Id: Ia55dc99aa398efb6d2d140985cbc0ae11bdc763c
    BUG: 1111774
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8155
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>

--- Additional comment from Anand Avati on 2014-06-25 02:58:10 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#16) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-26 14:05:36 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#17) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-26 14:29:05 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#18) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-26 17:04:43 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#19) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-26 17:29:57 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#20) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-26 17:43:10 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#21) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-26 18:58:21 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#22) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-29 22:06:01 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#23) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-29 22:06:07 EDT ---

REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-30 00:23:01 EDT ---

REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-30 00:23:08 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#24) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-30 12:28:20 EDT ---

REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-30 12:28:27 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#25) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-30 12:28:33 EDT ---

REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-30 13:05:14 EDT ---

REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-30 13:05:24 EDT ---

REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-30 13:05:30 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#26) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-02 02:35:10 EDT ---

REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#5) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-02 02:35:16 EDT ---

REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-02 02:35:23 EDT ---

REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#27) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-02 20:20:43 EDT ---

COMMIT: http://review.gluster.org/8141 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 1b74cf992986287a510fe3b28a8ee7554e8b0992
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Sat Jun 21 02:00:23 2014 -0700

    porting: Port for FreeBSD rebased from Mike Ma's efforts
    
    - Provides a working Gluster Management Daemon, CLI
    - Provides a working GlusterFS server, GlusterNFS server
    - Provides a working GlusterFS client
    - execinfo port from FreeBSD is moved into ./contrib/libexecinfo
      for ease of portability on NetBSD. (FreeBSD 10 and OSX provide
      execinfo natively)
    - More portability cleanups for Darwin, FreeBSD and NetBSD
    - Provides a new rc script for FreeBSD
    
    Change-Id: I8dff336f97479ca5a7f9b8c6b730051c0f8ac46f
    BUG: 1111774
    Original-Author: Mike Ma <mikemandarine@gmail.com>
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8141
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

--- Additional comment from Anand Avati on 2014-07-02 20:22:52 EDT ---

REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#6) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-02 20:22:59 EDT ---

REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-02 20:25:29 EDT ---

REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#7) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-02 20:25:36 EDT ---

REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#5) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-02 20:27:45 EDT ---

REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#8) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-02 20:27:53 EDT ---

REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#6) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-03 23:25:08 EDT ---

REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#9) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-03 23:25:14 EDT ---

REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#7) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-05 14:53:43 EDT ---

REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#10) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-05 14:53:51 EDT ---

REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#8) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-06 21:16:42 EDT ---

REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#11) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-06 21:16:51 EDT ---

REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#9) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-06 21:16:54 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-07 16:36:36 EDT ---

REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#12) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-07 16:36:44 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-07 16:36:48 EDT ---

REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#10) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-09 13:47:44 EDT ---

REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#13) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-09 13:47:48 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-09 13:47:51 EDT ---

REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#11) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-09 16:30:12 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-10 01:22:54 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#5) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-10 16:25:54 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#6) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-10 16:31:28 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#7) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-10 18:03:13 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#8) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-11 01:26:28 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#9) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-11 16:23:10 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#10) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-14 15:11:46 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#11) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-14 15:21:20 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#12) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-16 18:42:50 EDT ---

REVIEW: http://review.gluster.org/8319 (porting: extattr_remove_fd() doesn't exist) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-16 18:50:24 EDT ---

REVIEW: http://review.gluster.org/8320 (porting: include compat-errno.h for errno's) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-17 16:05:21 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#13) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-17 16:06:07 EDT ---

REVIEW: http://review.gluster.org/8319 (porting: extattr_remove_fd() doesn't exist) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-17 16:06:38 EDT ---

REVIEW: http://review.gluster.org/8320 (porting: include compat-errno.h for errno's) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-18 03:51:40 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#14) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-18 04:01:24 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#15) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-18 18:59:01 EDT ---

COMMIT: http://review.gluster.org/8319 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit f548db88ad78c24124befef9473792a574f7e157
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Wed Jul 16 15:41:05 2014 -0700

    porting: extattr_remove_fd() doesn't exist
    
    Fix typo extattr_remove_fd() --> extattr_delete_fd()
    
    Change-Id: I0dc3399722eb272d3c04836726e22b212ef15eba
    BUG: 1111774
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8319
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

--- Additional comment from Anand Avati on 2014-07-18 19:01:47 EDT ---

REVIEW: http://review.gluster.org/8335 (porting: extattr_remove_fd() doesn't exist) posted (#1) for review on release-3.6 by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-18 21:42:56 EDT ---

REVIEW: http://review.gluster.org/8335 (porting: extattr_remove_fd() doesn't exist) posted (#2) for review on release-3.6 by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-20 03:48:57 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#16) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-20 05:07:04 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#17) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-21 21:33:27 EDT ---

REVIEW: http://review.gluster.org/8320 (porting: include compat-errno.h for errno's) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-21 21:35:01 EDT ---

COMMIT: http://review.gluster.org/8335 committed in release-3.6 by Harshavardhana (harsha@harshavardhana.net) 
------
commit 4e88f03172be803e54c852e2a36a8191ce88c46f
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Wed Jul 16 15:41:05 2014 -0700

    porting: extattr_remove_fd() doesn't exist
    
    Fix typo extattr_remove_fd() --> extattr_delete_fd()
    
    Change-Id: I0dc3399722eb272d3c04836726e22b212ef15eba
    BUG: 1111774
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8335
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

--- Additional comment from Anand Avati on 2014-07-22 12:51:04 EDT ---

COMMIT: http://review.gluster.org/8320 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit b1cf59bf134105de678f42e96b3c96fd62d7f224
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Wed Jul 16 15:49:48 2014 -0700

    porting: include compat-errno.h for errno's
    
    disperse module fails to compile since
    ENODATA is non-existent on FreeBSD/Darwin
    
    Use errno conversion in compat-errno.h to avoid
    build issues.
    
    Change-Id: I8203b7195c198c77202bde9bbec1813a487f923a
    BUG: 1111774
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8320
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>

--- Additional comment from Anand Avati on 2014-07-22 12:54:59 EDT ---

REVIEW: http://review.gluster.org/8350 (porting: include compat-errno.h for errno's) posted (#1) for review on release-3.6 by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-24 16:07:48 EDT ---

COMMIT: http://review.gluster.org/8350 committed in release-3.6 by Harshavardhana (harsha@harshavardhana.net) 
------
commit 8d75177c74eb18a7a6ec37b3550898eeffe87b8e
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Tue Jul 22 09:54:08 2014 -0700

    porting: include compat-errno.h for errno's
    
    disperse module fails to compile since
    ENODATA is non-existent on FreeBSD/Darwin
    
    Use errno conversion in compat-errno.h to avoid
    build issues.
    
    Change-Id: I0126224f06365e0b8fac16c205f1294863dc2bc4
    BUG: 1111774
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8350
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

--- Additional comment from Anand Avati on 2014-07-24 16:09:51 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#18) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-25 23:31:10 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#19) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-26 00:14:10 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#20) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-27 06:03:11 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#21) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-27 14:58:16 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#22) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-27 16:49:44 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#23) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-28 20:50:17 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#24) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-31 03:55:22 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#25) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-01 12:36:59 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#26) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-04 04:02:44 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#27) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-04 17:18:13 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#28) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-06 01:45:43 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#29) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-06 01:57:39 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#30) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-06 02:03:38 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#31) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-06 03:10:50 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#32) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-06 18:01:17 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#33) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-06 19:48:58 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#34) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-06 22:50:05 EDT ---

REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#35) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-07 04:17:36 EDT ---

COMMIT: http://review.gluster.org/8246 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 2ec6ea43f2ddc6c00a030be6d04c00f0924277b7
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Sun Jun 29 18:56:44 2014 -0700

    build: make GLUSTERD_WORKDIR rely on localstatedir
    
    - Break-way from '/var/lib/glusterd' hard-coded previously,
      instead rely on 'configure' value from 'localstatedir'
    - Provide 's/lib/db' as default working directory for gluster
      management daemon for BSD and Darwin based installations
    - loff_t is really off_t on Darwin
    - fix-off the warnings generated by clang on FreeBSD/Darwin
    - Now 'tests/*' use GLUSTERD_WORKDIR a common variable for all
      platforms.
    - Define proper environment for running tests, define correct PATH
      and LD_LIBRARY_PATH when running tests, so that the desired version
      of glusterfs is used, regardless where it is installed.
      (Thanks to manu@netbsd.org for this additional work)
    
    Change-Id: I2339a0d9275de5939ccad3e52b535598064a35e7
    BUG: 1111774
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8246
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

--- Additional comment from Anand Avati on 2014-08-08 05:00:57 EDT ---

REVIEW: http://review.gluster.org/8435 (porting: FreeBSD related changes to regression scripts) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-08 06:14:06 EDT ---

REVIEW: http://review.gluster.org/8435 (porting: FreeBSD related changes to regression scripts) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-08 13:21:35 EDT ---

REVIEW: http://review.gluster.org/8435 (porting: FreeBSD related changes to regression scripts) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-08 13:46:03 EDT ---

REVIEW: http://review.gluster.org/8435 (porting: FreeBSD related changes to regression scripts) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-11 02:31:18 EDT ---

REVIEW: http://review.gluster.org/8435 (porting: FreeBSD related changes to regression scripts) posted (#5) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-11 11:54:43 EDT ---

REVIEW: http://review.gluster.org/8435 (porting: FreeBSD related changes to regression scripts) posted (#6) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-11 11:57:14 EDT ---

REVIEW: http://review.gluster.org/8435 (porting: FreeBSD related changes to regression scripts) posted (#7) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-13 14:00:08 EDT ---

REVIEW: http://review.gluster.org/8435 (porting: FreeBSD related changes to regression scripts) posted (#8) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-14 01:01:33 EDT ---

COMMIT: http://review.gluster.org/8435 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 8116328a6b4ead0207fc5f93fcac9a2606c6f6ab
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Fri Aug 8 01:56:23 2014 -0700

    porting: FreeBSD related changes to regression scripts
    
    - json_verify do not use '/usr/bin' let bash evaluate the location
    - TEST for test code compilation `bug-1051896.t`, `bug-1058663.t`,
      bug-905864.t
    - run-tests.sh - better checks for installed packages
    
    Change-Id: Ic7feda36ddfc082c609aabd75da2e9a8f59a92b3
    BUG: 1111774
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8435
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Emmanuel Dreyfus <manu@netbsd.org>
    Tested-by: Emmanuel Dreyfus <manu@netbsd.org>

Comment 1 Anand Avati 2014-08-14 20:07:52 UTC
REVIEW: http://review.gluster.org/8486 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#1) for review on release-3.6 by Harshavardhana (harsha@harshavardhana.net)

Comment 2 Anand Avati 2014-09-03 18:02:17 UTC
COMMIT: http://review.gluster.org/8486 committed in release-3.6 by Harshavardhana (harsha@harshavardhana.net) 
------
commit 025ae07850375cbf981ed335a4ddf702d54be6e3
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Thu Aug 14 13:06:26 2014 -0700

    build: make GLUSTERD_WORKDIR rely on localstatedir
    
    Backport from master branch - http://review.gluster.org/#/c/8246/
    
    - Break-way from '/var/lib/glusterd' hard-coded previously,
      instead rely on 'configure' value from 'localstatedir'
    - Provide 's/lib/db' as default working directory for gluster
      management daemon for BSD and Darwin based installations
    - loff_t is really off_t on Darwin
    - fix-off the warnings generated by clang on FreeBSD/Darwin
    - Now 'tests/*' use GLUSTERD_WORKDIR a common variable for all
      platforms.
    - Define proper environment for running tests, define correct PATH
      and LD_LIBRARY_PATH when running tests, so that the desired version
      of glusterfs is used, regardless where it is installed.
      (Thanks to manu@netbsd.org for this additional work)
    
    Change-Id: I06e684ac4c26d1e74c9daf76753403ad15f79276
    BUG: 1130308
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8486
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 3 Niels de Vos 2014-09-22 12:45:08 UTC
A beta release for GlusterFS 3.6.0 has been released. Please verify if the release solves this bug report for you. In case the glusterfs-3.6.0beta1 release does not have a resolution for this issue, leave a comment in this bug and move the status to ASSIGNED. If this release fixes the problem for you, leave a note and change the status to VERIFIED.

Packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update (possibly an "updates-testing" repository) infrastructure for your distribution.

[1] http://supercolony.gluster.org/pipermail/gluster-users/2014-September/018836.html
[2] http://supercolony.gluster.org/pipermail/gluster-users/

Comment 4 Niels de Vos 2014-11-11 08:37:28 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.6.1, please reopen this bug report.

glusterfs-3.6.1 has been announced [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://supercolony.gluster.org/pipermail/gluster-users/2014-November/019410.html
[2] http://supercolony.gluster.org/mailman/listinfo/gluster-users